//
//  HttpChunkListener.h
//  TelenavNavigator
//
//  Created by Shengxiong, Xia on 9/18/12.
//  Copyright (c) 2012 Telenav, Inc. All rights reserved.
//

#ifndef TelenavNavigator_HttpChunkListener_h
#define TelenavNavigator_HttpChunkListener_h

#include <cstring>

class ReadHttpChunkListener
{
public:
    virtual ~ReadHttpChunkListener();
	virtual std::size_t ReadData(char* ptr, const std::size_t size) = 0;
};

class WriteHttpChunkListener
{
public:
    virtual ~WriteHttpChunkListener();
	virtual std::size_t WriteData(char* ptr, const std::size_t size) = 0;
};

#endif
